#!/usr/bin/perl
use Net::LDAP;
use Net::LDAP::Filter;

my $cloudBase = '/home/goik/C/HdM/Fh/KlausurBewertung';

my $searchBase='ou=userlist,dc=hdm-stuttgart,dc=de';

#------------------------------------------------------------

my @files;
opendir(DIR, $cloudBase);
  @files =grep { /^[^.]/ } readdir(DIR);
closedir(DIR);

my $ldap = Net::LDAP->new ( "learn.mi.hdm-stuttgart.de" ) or die "$@";
my $msg = $ldap->bind ( version => 3 ) or die "$msg";




my $attrs = [ 'mail' ];
foreach my $file (@files) {
    my $filterString = '(uid=' . $file . ')';
    my $filter = Net::LDAP::Filter->new($filterString);

    my $result = $ldap->search (base    => "$searchBase",
                                scope   => "sub",
                                filter  => '(uid=' . $file . ')',
                                attrs   =>  $attrs
	);
    
   
    my @entries =   $result->entries;

    if ($#entries < 0) {
	print $file, ' ';
    }
}

print "\n";

#end
    
